2019-08-21 22:21 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004148AIAIpublic2016-01-22 03:23
Reporterbaracoder 
Assigned Toabma 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Summary0004148: E23AI crashes game
DescriptionSpring 95.0 linux amd64, bundled e23ai 3.25.0
Balanced Annihilation V7.84
infolog and demo attached.

Could not not reproduce yet.
TagsNo tags attached.
Attached Files
  • txt file icon infolog.txt (31,648 bytes) 2013-11-12 04:10 -
    [ParseCmdLine] command-line args: "/home/bara/.spring/engine/95.0/spring /home/bara/.spring/engine/95.0/script.txt"
    Using configuration source: "/home/bara/.spring/engine/95.0/springsettings.cfg"
    Available log sections: AutohostInterface, Net, VFS, KeyBindings, Piece, Sound, CSMFGroundTextures, RoamMeshDrawer, BumpWater, DynWater, SkyBox, DecalsDrawerGL4, FarTextureHandler, ModelDrawer, OBJParser, WorldObjectModelRenderer, Texture, GroundMoveType, UnitScript, CregSerializer, ArchiveScanner, Shader, Font, Model, LuaSocket, Path
    Enabled log sections: Sound(LOG_LEVEL_INFO)
    Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    LogOutput initialized.
    Spring 95.0
    Build date/time: Nov  5 2013 05:17:08
    Build environment: boost-105400, GNU libstdc++ version 20120920
    Compiler: gcc-4.7.2
    OS: Linux 3.8.13-gentoo-ARCH #4 SMP PREEMPT Sun Jun 2 04:12:34 CEST 2013 x86_64
    OS: 64bit native mode
    [CMyMath::Init] CPU SSE mask: 1023, flags:
    	SSE 1.0:  1,  SSE 2.0:  1
    	SSE 3.0:  1, SSSE 3.0:  1
    	SSE 4.1:  1,  SSE 4.2:  1
    	SSE 4.0A: 1,  SSE 5.0A: 1
    	using streflop SSE FP-math mode, CPU supports SSE instructions
    Supported Video modes: 1680x1050, 1680x945, 1440x900, 1366x768, 1280x1024, 1280x960, 1280x800, 1280x720, 1024x768, 800x600, 640x480
    [SetSDLVideoMode] video mode set to 1680x1050/32bit (windowed)
    [Watchdog] Installed (HangTimeout: 10sec)
    [DataDirs] Portable Mode!
    Using read-write data directory: /home/bara/.spring/engine/95.0/
    Using read-only data directory: /home/bara/.spring/
    Scanning: /home/bara/.spring/maps
    Scanning: /home/bara/.spring/games
    Scanning: /home/bara/.spring/packages
    Scanning: /home/bara/.spring/engine/95.0/base
    [Threading] Main thread CPU affinity not set
    [f=0000000] SDL version:  1.2.15
    [f=0000000] GL version:   4.4.0 NVIDIA 331.17
    [f=0000000] GL vendor:    NVIDIA Corporation
    [f=0000000] GL renderer:  GeForce GTX 560/PCIe/SSE2
    [f=0000000] GLSL version: 4.40 NVIDIA via Cg compiler
    [f=0000000] GLEW version: 1.9.0
    [f=0000000] Video RAM:    total 1024MB, available 946MB
    [f=0000000] FBO::maxSamples: 32
    [f=0000000] GL info:
    	haveARB: 1, haveGLSL: 1, ATI hacks: 0
    	FBO support: 1, NPOT-texture support: 1, 24bit Z-buffer support: 1
    	maximum texture size: 16384, compress MIP-map textures: 0
    	maximum SmoothPointSize: 190, maximum vec4 varying/attributes: 31/16
    	maximum drawbuffers: 8, maximum recommended indices/vertices: 1048576/1048576
    	number of UniformBufferBindings: 84 (64kB)
    [f=0000000] Using Adaptive VSync
    [f=0000000] [Sound] OpenAL info:
    [f=0000000] [Sound]   Available Devices:
    [f=0000000] [Sound]               OpenAL Soft
    [f=0000000] [Sound]   Device:     OpenAL Soft
    [f=0000000] [Sound]   Vendor:         OpenAL Community
    [f=0000000] [Sound]   Version:        1.1 ALSOFT 1.15.1
    [f=0000000] [Sound]   Renderer:       OpenAL Soft
    [f=0000000] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFTX_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_source_latency
    [f=0000000] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFT_loopback
    [f=0000000] [Sound]   EFX Enabled: yes
    [f=0000000] [Sound]   Max Sounds: 128
    [f=0000000] Joysticks found: 2
    [f=0000000] Using joystick 0: Twin USB Joystick
    [f=0000000] [Initialize] CPU Clock: std::chrono::high_resolution_clock
    [f=0000000] [Initialize] CPU Cores: 8
    [f=0000000] [Startup] loading startscript from: /home/bara/.spring/engine/95.0/script.txt
    [f=0000000] Connecting to local server
    [f=0000000] Binding UDP socket to IP (v4) 192.168.178.22 port 8452
    [f=0000000] [UDPListener] successfully bound socket on port 8452
    [f=0000000] PreGame::StartServer: 7 ms
    [f=0000000] Using map: DarkSide Remake
    [f=0000000] Using game: Balanced Annihilation V7.84
    [f=0000000] Using game archive: 09d1b87af38a003cf01e4b8d19c35d9c.sdp
    [f=0000000] recording demo: demos/20131111_231727_DarkSide Remake_95.sdf
    [f=0000000] PreGame::GameDataReceived: 17 ms
    [f=0000000] [PG::UpdateClientNet] user number 1 (team 5, allyteam 0)
    [f=0000000] Allowing pushing enemy units
    [f=0000000] [Threading] Main thread CPU affinity not set
    [f=0000000] Warning: MapInfo.lua: Incorrect value "groundShadowDensity=1.200000"! Clamping to 0..1 range!!
    [f=0000000] Warning: MapInfo.lua: Incorrect value "unitShadowDensity=1.200000"! Clamping to 0..1 range!!
    [f=0000000] [LuaIntro] Searching for new Widgets
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=0000000] [LuaIntro] Scanning: LuaIntro/chili/
    [f=0000000] [LuaIntro] Found new widget "SpringLogo"
    [f=0000000] [LuaIntro] Found new widget "LoadTexture"
    [f=0000000] [LuaIntro] Found new widget "LoadProgress"
    [f=0000000] [LuaIntro] Found new widget "Main"
    [f=0000000] [LuaIntro] Found new widget "Music"
    [f=0000000] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=0000000] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=0000000] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=0000000] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=0000000] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=0000000] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=0000000] Parsing Map Information
    [f=0000000] Loading SMF
    [f=0000000] Loading Map (9 MB)
    [f=0000000] Loading Radar Icons
    [f=0000000] Loading GameData Definitions
    [f=0000000] Loading all definitions:  0.078000
    [f=0000000] Game::LoadDefs (GameData): 100 ms
    [f=0000000] Loading Sound Definitions
    [f=0000000] [Sound]  parsed 27 sounds from gamedata/sounds.lua
    [f=0000000] [Sound] Error: Unable to open audio file: IncomingChat
    [f=0000000] [Sound] Error: CSound::GetSoundId: could not find sound: IncomingChat
    [f=0000000] Game::LoadDefs (Sound): 0 ms
    [f=0000000] Creating Smooth Height Mesh
    [f=0000000] SmoothHeightMesh::MakeSmoothMesh: 7 ms
    [f=0000000] Creating QuadField & CEGs
    [f=0000000] [CDamageArrayHandler] number of ArmorDefs: 11
    [f=0000000] [RegisterAssimpModelFormats] supported Assimp model formats: *.3d;*.3ds;*.ac;*.ac3d;*.acc;*.ase;*.ask;*.b3d;*.blend;*.bvh;*.cob;*.csm;*.dae;*.dxf;*.enff;*.hmp;*.ifc;*.irr;*.irrmesh;*.lwo;*.lws;*.lxo;*.m3;*.md2;*.md3;*.md5anim;*.md5camera;*.md5mesh;*.mdc;*.mdl;*.mesh.xml;*.mot;*.ms3d;*.ndo;*.nff;*.obj;*.off;*.pk3;*.ply;*.prj;*.q3o;*.q3s;*.raw;*.scn;*.smd;*.stl;*.ter;*.uc;*.vta;*.x;*.xgl;*.xml;*.zgl;
    [f=0000000] Creating Unit Textures
    [f=0000000] Creating Sky
    [f=0000000] Loading Weapon Definitions
    [f=0000000] Loading Unit Definitions
    [f=0000000] Loading Feature Definitions
    [f=0000000] Reading Estimate PathCosts [8]
    [f=0000000] Reading Estimate PathCosts [32]
    [f=0000000] [CPathManager] pathing data checksum: 5916e27d
    [f=0000000] [IPathManager::GetInstance] using DEFAULT path-manager
    [f=0000000] Initializing Map Features
    [f=0000000] Creating ShadowHandler & DecalHandler
    [f=0000000] Creating GroundDrawer
    [f=0000000] Loading Map Tiles
    [f=0000000] Loading Square Textures
    [f=0000000] CSMFGroundTextures::ConvolveHeightMap: 0 ms
    [f=0000000] Switching to ROAM Mesh Rendering
    [f=0000000] Creating TreeDrawer
    [f=0000000] Creating ProjectileDrawer & UnitDrawer
    [f=0000000] Creating Projectile Textures
    [f=0000000] Warning: [CCEG::Load] krogtaarblaster: Unknown tag CSimpleParticleSystem::size
    [f=0000000] Creating Water
    [f=0000000] Game::LoadInterface (Camera&Mouse): 52 ms
    [f=0000000] Game::LoadInterface (Console): 0 ms
    [f=0000000] Loading LuaRules
    [f=0000000] Loaded synced gadget:  Metalspot Finder Gadget  <mex_spot_finder.lua>
    [f=0000000] Loaded synced gadget:  Rez Exp             <unit_rez_exp.lua>
    [f=0000000] Loaded synced gadget:  ranks api           <api_ranks.lua>
    [f=0000000] Loaded synced gadget:  No Self-D           <unit_prevent_share_selfd.lua>
    [f=0000000] Loaded synced gadget:  CameraBroadcast     <camera_lockcamera.lua>
    [f=0000000] Loaded synced gadget:  Awards              <gui_awards.lua>
    [f=0000000] Loaded synced gadget:  Air Release         <unit_air_release_manager.lua>
    [f=0000000] Loaded synced gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=0000000] Loaded synced gadget:  Bomber Control      <unit_bomber_control.lua>
    [f=0000000] Loaded synced gadget:  Commando Watch      <unit_commando_watch.lua>
    [f=0000000] Loaded synced gadget:  Cursor Broadcast    <cmd_mouse_pos_broadcast.lua>
    [f=0000000] Loaded synced gadget:  DGun CmdType Fix    <unit_dgun_cmdtype_fix.lua>
    [f=0000000] Loaded synced gadget:  Death Messages      <game_death_messages.lua>
    [f=0000000] Loaded synced gadget:  DirectControl       <unit_direct_control.lua>
    [f=0000000] Loaded synced gadget:  DragonsDisguise     <unit_set_neutral.lua>
    [f=0000000] Loaded synced gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=0000000] Loaded synced gadget:  Energy Conversion   <game_energy_conversion.lua>
    [f=0000000] Loaded synced gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=0000000] Loaded synced gadget:  Game End            <game_end.lua>
    [f=0000000] Loaded synced gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=0000000] Loaded synced gadget:  Juno Damage         <unit_juno_damage.lua>
    [f=0000000] Loaded synced gadget:  Lightning Spash Damage  <unit_lightning_splash_dmg.lua>
    [f=0000000] Loaded synced gadget:  Lua unit script framework  <unit_script.lua>
    [f=0000000] Loaded synced gadget:  Maverick Exp        <unit_maverick_exp.lua>
    [f=0000000] Loaded synced gadget:  Merc/Scr stockpile control  <unit_mercscr_stockpile_limit.lua>
    [f=0000000] Loaded synced gadget:  Napalm              <lups_napalm.lua>
    [f=0000000] Loaded synced gadget:  No Land Damage      <unit_no_land_damage.lua>
    [f=0000000] Loaded synced gadget:  No Self Pwn         <unit_noselfpwn.lua>
    [f=0000000] Loaded synced gadget:  NoCost              <cmd_nocost.lua>
    [f=0000000] Loaded synced gadget:  Nonblocking mines   <unit_nonblocking_mines.lua>
    [f=0000000] Loaded synced gadget:  Paralyse Multiplier  <unit_paralyze_multiplier.lua>
    [f=0000000] Loaded synced gadget:  Passive Builders II  <unit_passive_builders_ii.lua>
    [f=0000000] Loaded synced gadget:  PopUpWaterStructures  <unit_pop_up_water_structures.lua>
    [f=0000000] Loaded synced gadget:  Prevent Excessive Share  <game_prevent_excessive_share.lua>
    [f=0000000] Loaded synced gadget:  Prevent Lab Hax     <unit_prevent_lab_hax.lua>
    [f=0000000] Loaded synced gadget:  Prevent Load Hax    <unit_prevent_load_hax.lua>
    [f=0000000] Loaded synced gadget:  Prevent Outside Aircraft hacks  <unit_prevent_aircraft_hax.lua>
    [f=0000000] Loaded synced gadget:  Prevent Range Hax   <unit_prevent_range_hax.lua>
    [f=0000000] Loaded synced gadget:  Prevent Strange Orders  <unit_prevent_strange_orders.lua>
    [f=0000000] Loaded synced gadget:  Prevent Unload Hax  <unit_prevent_unload_hax.lua>
    [f=0000000] Loaded synced gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=0000000] Loaded synced gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=0000000] Loaded synced gadget:  ShieldDrain         <unit_shield_watch.lua>
    [f=0000000] Loaded synced gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=0000000] Loaded synced gadget:  Start Point Remover Gadget  <init_start_point_remover_gadget.lua>
    [f=0000000] Loaded synced gadget:  Stealthy Passengers  <unit_stealthy_passengers.lua>
    [f=0000000] Loaded synced gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=0000000] Loaded synced gadget:  Team Resourcing     <game_team_resources.lua>
    [f=0000000] Loaded synced gadget:  Transportee Hider   <unit_transportee_hider.lua>
    [f=0000000] Loaded synced gadget:  Unit transportable nanos  <unit_transportable_nanos.lua>
    [f=0000000] Loaded synced gadget:  Watereffects        <fx_watersplash.lua>
    [f=0000000] Loaded synced gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=0000000] Loaded synced gadget:  fx_wreck_shards     <fx_wreck_shards.lua>
    [f=0000000] Loaded synced gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=0000000] Loaded synced gadget:  lups_wrapper.lua    <lups_wrapper.lua>
    [f=0000000] Loaded synced gadget:  mo_combomb_full_damage  <mo_combomb_full_damage.lua>
    [f=0000000] Loaded synced gadget:  mo_enemywrecks      <mo_enemywrecks.lua>
    [f=0000000] Loaded synced gadget:  mo_noshare          <mo_noshare.lua>
    [f=0000000] Loaded synced gadget:  transportfix        <unit_transportfix.lua>
    [f=0000000] Loaded synced gadget:  Area Attack         <areaattack.lua>
    [f=0000000] Loaded synced gadget:  C Is For Control    <comiscontrol.lua>
    [f=0000000] Loaded synced gadget:  Coop II             <mo_coop_ii.lua>
    [f=0000000] Loaded synced gadget:  CustomUnitShaders   <gfx_customunitshaders.lua>
    [f=0000000] Loaded synced gadget:  Take Manager        <cmd_idle_players.lua>
    [f=0000000] Loaded synced gadget:  Team Com Ends       <teamcomends.lua>
    [f=0000000] Loaded synced gadget:  LupsSyncedManager   <lups_manager.lua>
    [f=0000000] Loaded synced gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=0000000] Loaded synced gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=0000000] <LockCamera>: Sorry for the camera switch spam, but this is the only reliable way to list camera states other than hardcoding them
    [f=0000000] Switching to Overview style camera
    [f=0000000] Switching to Smooth style camera
    [f=0000000] Switching to Overhead (TA) style camera
    [f=0000000] Switching to Free style camera
    [f=0000000] Switching to Total War style camera
    [f=0000000] Switching to Rotatable overhead camera
    [f=0000000] Switching to Orbit style camera
    [f=0000000] Switching to FPS style camera
    [f=0000000] Switching to Overhead (TA) style camera
    [f=0000000] Loaded unsynced gadget:  Engine Taskbar Stuff  <engine_taskbar_stuff.lua>
    [f=0000000] Loaded unsynced gadget:  Metalspot Finder Gadget  <mex_spot_finder.lua>
    [f=0000000] Loaded unsynced gadget:  ranks api           <api_ranks.lua>
    [f=0000000] Loaded unsynced gadget:  CustomIcons         <unit_customicons.lua>
    [f=0000000] Loaded unsynced gadget:  CameraBroadcast     <camera_lockcamera.lua>
    [f=0000000] Loaded unsynced gadget:  Awards              <gui_awards.lua>
    [f=0000000] Loaded unsynced gadget:  Air Release         <unit_air_release_manager.lua>
    [f=0000000] Loaded unsynced gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=0000000] Loaded unsynced gadget:  Cursor Broadcast    <cmd_mouse_pos_broadcast.lua>
    [f=0000000] Loaded unsynced gadget:  DragonsDisguise     <unit_set_neutral.lua>
    [f=0000000] Loaded unsynced gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=0000000] Loaded unsynced gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=0000000] Loaded unsynced gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=0000000] Loaded unsynced gadget:  Juno Damage         <unit_juno_damage.lua>
    [f=0000000] Loaded unsynced gadget:  Merc/Scr stockpile control  <unit_mercscr_stockpile_limit.lua>
    [f=0000000] Loaded unsynced gadget:  Napalm              <lups_napalm.lua>
    [f=0000000] Loaded unsynced gadget:  NoCost              <cmd_nocost.lua>
    [f=0000000] Loaded unsynced gadget:  PopUpWaterStructures  <unit_pop_up_water_structures.lua>
    [f=0000000] Loaded unsynced gadget:  Prevent Unload Hax  <unit_prevent_unload_hax.lua>
    [f=0000000] Loaded unsynced gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=0000000] Loaded unsynced gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=0000000] Loaded unsynced gadget:  ShieldDrain         <unit_shield_watch.lua>
    [f=0000000] Loaded unsynced gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=0000000] Loaded unsynced gadget:  Start Point Remover Gadget  <init_start_point_remover_gadget.lua>
    [f=0000000] Loaded unsynced gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=0000000] Loaded unsynced gadget:  Transportee Hider   <unit_transportee_hider.lua>
    [f=0000000] Loaded unsynced gadget:  Watereffects        <fx_watersplash.lua>
    [f=0000000] Loaded unsynced gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=0000000] Loaded unsynced gadget:  fx_wreck_shards     <fx_wreck_shards.lua>
    [f=0000000] Loaded unsynced gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=0000000] Loaded unsynced gadget:  mo_enemywrecks      <mo_enemywrecks.lua>
    [f=0000000] Loaded unsynced gadget:  mo_greenfields      <mo_greenfields.lua>
    [f=0000000] Loaded unsynced gadget:  mo_noowner          <mo_noowner.lua>
    [f=0000000] Loaded unsynced gadget:  mo_noshare          <mo_noshare.lua>
    [f=0000000] Loaded unsynced gadget:  mo_nowrecks         <mo_nowrecks.lua>
    [f=0000000] Loaded unsynced gadget:  transportfix        <unit_transportfix.lua>
    [f=0000000] Loaded unsynced gadget:  Area Attack         <areaattack.lua>
    [f=0000000] Loaded unsynced gadget:  C Is For Control    <comiscontrol.lua>
    [f=0000000] Loaded unsynced gadget:  Coop II             <mo_coop_ii.lua>
    [f=0000000] Loaded unsynced gadget:  CustomUnitShaders   <gfx_customunitshaders.lua>
    [f=0000000] Loaded unsynced gadget:  Take Manager        <cmd_idle_players.lua>
    [f=0000000] Loaded unsynced gadget:  LupsSyncedManager   <lups_manager.lua>
    [f=0000000] Loaded unsynced gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=0000000] Loaded unsynced gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=0000000] Loaded unsynced gadget:  Lups                <lups_wrapper.lua>
    [f=0000000] Loading LuaGaia
    [f=0000000] Loading LuaUI
    [f=0000000] LuaSocketEnabled: yes
    [f=0000000] This game has locked LuaUI access
    [f=0000000] This game has locked LuaUI access
    [f=0000000] Using LUAUI_DIRNAME = LuaUI/
    [f=0000000] Reloaded ctrlpanel from file: LuaUI/ctrlpanel.txt
    [f=0000000] LuaUI: bound F11 to the widget selector
    [f=0000000] LuaUI: bound CTRL+F11 to tweak mode
    [f=0000000] Loading widget from mod:   Red_UI_Framework    <red_ui_framework.lua> ...
    [f=0000000] Loading widget from mod:   Metalspot Finder    <wg_metalspot_finder.lua> ...
    [f=0000000] Loading widget from mod:   Faction Change      <gui_faction_change.lua> ...
    [f=0000000] Loading widget from mod:   MexUpg Helper       <cmd_mex_upgrade_helper.lua> ...
    [f=0000000] Loading widget from mod:   Red Tooltip         <gui_red_tooltip.lua> ...
    [f=0000000] Loading widget from mod:   HealthBars          <unit_healthbars.lua> ...
    [f=0000000] Loading widget from mod:   Ally Resource Bars  <gui_ally_res.lua> ...
    [f=0000000] Loading widget from mod:   LockCamera          <camera_lockcamera.lua> ...
    [f=0000000] Loading widget from mod:   AdvPlayersList      <gui_advplayerslist.lua> ...
    [f=0000000] Loading widget from mod:   BuildETA            <gui_build_eta.lua> ...
    [f=0000000] Loading widget from mod:   Projectile lights   <gfx_projectile_lights.lua> ...
    [f=0000000] Loading widget from mod:   Initial Queue       <unit_initial_queue.lua> ...
    [f=0000000] Loading widget from mod:   Anti Range          <gui_anti_range.lua> ...
    [f=0000000] Loading widget from mod:   Auto First Build Facing  <autofirstbuildfacing.lua> ...
    [f=0000000] Loading widget from mod:   Auto group          <unit_auto_group.lua> ...
    [f=0000000] Loading widget from mod:   Autoquit            <autoquit.lua> ...
    [f=0000000] Loading widget from mod:   BA_AllyCursors      <gui_ba_ally_cursors.lua> ...
    [f=0000000] Loading widget from mod:   Build Split         <cmd_buildsplit.lua> ...
    [f=0000000] Loading widget from mod:   BuildBar            <gui_buildbar.lua> ...
    [f=0000000] Loading widget from mod:   CameraFlip          <camera_flip.lua> ...
    [f=0000000] Loading widget from mod:   Com Counter         <gui_comcounter.lua> ...
    [f=0000000] Loading widget from mod:   DontMove            <unit_dontmove.lua> ...
    [f=0000000] Loading widget from mod:   Group Label         <gui_group_label.lua> ...
    [f=0000000] Loading widget from mod:   Highlight Geos      <gui_highlight_geos.lua> ...
    [f=0000000] Loading widget from mod:   Holdfire Fix        <unit_holdfire_fix.lua> ...
    [f=0000000] Loading widget from mod:   Com DontBreakCloak  <unit_com_dontbreakcloak.lua> ...
    [f=0000000] Loading widget from mod:   Load Own Moving     <unit_load_own_moving.lua> ...
    [f=0000000] Loading widget from mod:   Loop Select         <unit_loop_select.lua> ...
    [f=0000000] Loading widget from mod:   Mex Snap            <cmd_mex_snap.lua> ...
    [f=0000000] Loading widget from mod:   MoreSounds          <unit_more_sounds.lua> ...
    [f=0000000] Loading widget from mod:   Pause Screen        <gui_pausescreen.lua> ...
    [f=0000000] Loading widget from mod:   Persistent Build Spacing  <gui_persistent_build_spacing.lua> ...
    [f=0000000] Loading widget from mod:   Point Tracker       <gui_point_tracker.lua> ...
    [f=0000000] Loading widget from mod:   Energy Conversion Info  <gui_energy_conversion.lua> ...
    [f=0000000] Loading widget from mod:   ReclaimInfo         <gui_reclaiminfo.lua> ...
    [f=0000000] Loading widget from mod:   Red Build/Order Menu  <gui_red_buildordermenu.lua> ...
    [f=0000000] Loading widget from mod:   Red Console         <gui_red_console.lua> ...
    [f=0000000] Loading widget from mod:   Unit Mover          <cmd_unit_mover.lua> ...
    [f=0000000] Loading widget from mod:   Red Resource Bars   <gui_red_resourcebars.lua> ...
    [f=0000000] Loading widget from mod:   Red_Drawing         <red_ui_framework_drawing.lua> ...
    [f=0000000] Loading widget from mod:   RelativeMinimap     <minimap_relative.lua> ...
    [f=0000000] Loading widget from mod:   SelectionButtons    <gui_selbuttons.lua> ...
    [f=0000000] Loading widget from mod:   Share Tracker       <unit_share_tracker.lua> ...
    [f=0000000] Loading widget from mod:   Spectate Selected   <gui_spectate_selected.lua> ...
    [f=0000000] Loading widget from mod:   State Reverse Toggle  <cmd_state_reverse_toggle.lua> ...
    [f=0000000] Loading widget from mod:   NoDuplicateOrders   <cmd_no_duplicate_orders.lua> ...
    [f=0000000] Loading widget from mod:   Take Proxy          <cmd_take_proxy.lua> ...
    [f=0000000] Loading widget from mod:   Volume OSD          <snd_volume_osd.lua> ...
    [f=0000000] Loading widget from mod:   Transport AI        <unit_transport_ai.lua> ...
    [f=0000000] Loading widget from mod:   FactoryGuard        <unit_factory_guard.lua> ...
    [f=0000000] Loading widget from mod:   Wait reclaim        <cmd_wait_reclaim.lua> ...
    [f=0000000] Loading widget from mod:   Stockpiler (dynamic)  <unit_stockpile_dynamic.lua> ...
    [f=0000000] Loading widget from mod:   Defense Range       <gui_defenserange.lua> ...
    [f=0000000] Loading widget from mod:   Easy Facing         <gui_easyfacing.lua> ...
    [f=0000000] Loading widget from mod:   Ghost Radar         <unit_ghostradar.lua> ...
    [f=0000000] Loading widget from mod:   Ghost Site          <unit_ghostsite.lua> ...
    [f=0000000] Loading widget from mod:   Specific Unit Reclaimer  <unit_specific_unit_reclaimer.lua> ...
    [f=0000000] Loading widget from mod:   GameTypeInfo        <gui_game_type_info.lua> ...
    [f=0000000] Loading widget from mod:   ImmobileBuilder     <unit_immobile_builder.lua> ...
    [f=0000000] Loading widget from mod:   Attack AoE          <gui_attack_aoe.lua> ...
    [f=0000000] Loading widget from mod:   Attack and Move Notification  <unit_attackmovenotification.lua> ...
    [f=0000000] Loading widget from mod:   Building Hotkeys    <cmd_building_hotkeys.lua> ...
    [f=0000000] Loading widget from mod:   Context Build       <cmd_context_build.lua> ...
    [f=0000000] Loading widget from mod:   Prospector          <gui_prospector.lua> ...
    [f=0000000] Loading widget from mod:   Red Minimap         <gui_red_minimap.lua> ...
    [f=0000000] Loading widget from mod:   Set Target Hotkeys  <cmd_target_on_the_move_hotkeys.lua> ...
    [f=0000000] Loading widget from mod:   BA Waypoint Dragger  <unit_waypoint_dragger_2.lua> ...
    [f=0000000] Loading widget from mod:   Bomber control      <unit_bomber_control.lua> ...
    [f=0000000] Loading widget from mod:   CommandInsert       <gui_commandinsert.lua> ...
    [f=0000000] Loading widget from mod:   Rank Icons          <gui_xp.lua> ...
    [f=0000000] Loading widget from mod:   Select n Center!    <gui_center_n_select.lua> ...
    [f=0000000] Loading widget from mod:   LupsManager         <gfx_lups_manager.lua> ...
    [f=0000000] Loading widget from mod:   Mouse Buildspacing  <gui_buildspacing.lua> ...
    [f=0000000] Loading widget from mod:   Lups                <lups_wrapper.lua> ...
    [f=0000000] Loading widget from mod:   CustomFormations2   <unit_customformations2.lua> ...
    [f=0000000] LuaUI v0.3
    [f=0000000] Initializing PathCache
    [f=0000000] Finalizing
    [f=0000000] Loaded DecalsDrawer: Legacy
    [f=0000000] Connection attempt from [HEINZ]abra
    [f=0000000]  -> Version: 95.0
    [f=0000000]  -> Connection established (given id 1)
    [f=0000000] Connection attempt from [HEINZ]nerdyrage
    [f=0000000]  -> Version: 95.0
    [f=0000000]  -> Address: [109.91.138.70]:50448
    [f=0000000]  -> Connection established (given id 2)
    [f=0000000] Connection attempt from [HEINZ]8
    [f=0000000]  -> Version: 95.0
    [f=0000000]  -> Address: [109.91.138.70]:60472
    [f=0000000]  -> Connection established (given id 0)
    [f=0000000] Player [HEINZ]abra finished loading and is now ingame
    [f=0000000] Player [HEINZ]nerdyrage finished loading and is now ingame
    [f=0000000] Player [HEINZ]8 finished loading and is now ingame
    [f=0000000] GameID: 7f5781525b1bd6632fde0b501cdf4421
    [f=0000000] SkirmishAI (ID = 0, team ID = 0) is using cheats!
    [f=0000000] ResourceMapAnalyzer by Krogothe, initialized for resource 0(Metal)
    [f=0000000] <SkirmishAI: Shard dev (team 0)>: Shard by AF - playing:BA on:DarkSide Remake
    [f=0000000] <SkirmishAI: Shard dev (team 0)>: added UnitHandler module
    [f=0000000] <SkirmishAI: Shard dev (team 0)>: added AttackHandler module
    [f=0000000] <SkirmishAI: Shard dev (team 0)>: added MetalSpotHandler module
    [f=0000000] <SkirmishAI: Shard dev (team 0)>: added Sleep module
    [f=0000000] <SkirmishAI: AAI 0.9 (team 1)>: land map detected
    [f=0000000] <SkirmishAI: AAI 0.9 (team 1)>: AAI loaded
    [f=0000000] SkirmishAI (ID = 2, team ID = 2) is using cheats!
    [f=0000000] <SkirmishAI: KAIK 0.13 (team 2)>: KAI Metal Class by Krogothe
    [f=0000000] <SkirmishAI: KAIK 0.13 (team 2)>: KAIK 0.13 Unofficial (built Oct 31 2013) initialized successfully!
    [f=0000000] <SkirmishAI: KAIK 0.13 (team 2)>: logging events to /home/bara/.spring/engine/95.0/AI/Skirmish/KAIK/0.13/logs/DarkSide_Remake-b622755b_Balanced_Annihilation_V7.84-4be6be62_11-11-2013_2317_team2.txt
    [f=0000000] <SkirmishAI: KAIK 0.13 (team 2)>: (developed by Krogothe, Tournesol, Firenu; now maintained by Kloot)
    [f=0000000] SkirmishAI (ID = 3, team ID = 3) is using cheats!
    [f=0000000] <SkirmishAI: E323AI 3.25.0 (team 3)>: Logging disabled
    [f=0000001] Skirmish AI "Bot1" (ID:0, Short-Name:"Shard", Version:"dev") took over control of team 0
    [f=0000001] Skirmish AI "Bot2" (ID:1, Short-Name:"AAI", Version:"0.9") took over control of team 1
    [f=0000010] Skirmish AI "Bot4" (ID:2, Short-Name:"KAIK", Version:"0.13") took over control of team 2
    [f=0000010] Skirmish AI "Bot5" (ID:3, Short-Name:"E323AI", Version:"3.25.0") took over control of team 3
    [f=0000068] Buildings set to face East
    [f=0000800] <SkirmishAI: E323AI 3.25.0 (team 3)>: *** E323AI 3.25.0 - High Templar (Oct 31 2013) ***
    [f=0000800] <SkirmishAI: E323AI 3.25.0 (team 3)>: *** Error323 & Simon Logic ***
    [f=0000800] <SkirmishAI: E323AI 3.25.0 (team 3)>: *** This A.I. mainly focusses on the XTA and BA mods ***
    [f=0005256] -> Commander is being attacked!
    [f=0005867] -> Commander is being attacked!
    [f=0006325] -> Commander is being attacked!
    [f=0007458] -> Metal Extractor is being attacked!
    [f=0009650] -> Thud is being attacked!
    [f=0010616] -> Commander is being attacked!
    [f=0011178] -> Storm is being attacked!
    [f=0011744] -> A.K. is being attacked!
    [f=0012540] -> Commander is being attacked!
    [f=0013054] -> Thud is being attacked!
    [f=0013236] -> Commander is being attacked!
    [f=0013767] -> LLT is being attacked!
    [f=0014789] -> A.K. is being attacked!
    [f=0014947] [HEINZ]abra added point: 
    [f=0015070] [HEINZ]abra added point: 
    [f=0015253] -> Commander is being attacked!
    [f=0015727] -> LLT is being attacked!
    [f=0016841] -> Storm is being attacked!
    [f=0017507] -> LLT is being attacked!
    [f=0018387] -> Thud is being attacked!
    [f=0019063] Error: Segmentation fault (SIGSEGV) in spring 95.0
    [f=0019063] Error: Stacktrace:
    [f=0019063] Error: This stack trace indicates a problem with a Skirmish AI library.
    [f=0019063] Error:   <0> /lib64/libpthread.so.0(+0x10f30) [0x7fef1eb08f30]
    [f=0019063] Error:   <1> /home/bara/.spring/engine/95.0/AI/Skirmish/E323AI/3.25.0/libSkirmishAI.so(+0xcd998) [0x7feee398d998]
    [f=0019063] Error:   <2> /home/bara/.spring/engine/95.0/AI/Skirmish/E323AI/3.25.0/libSkirmishAI.so(+0x81368) [0x7feee3941368]
    [f=0019063] Error:   <3> /home/bara/.spring/engine/95.0/AI/Skirmish/E323AI/3.25.0/libSkirmishAI.so(+0xdae79) [0x7feee399ae79]
    [f=0019063] Error:   <4> /home/bara/.spring/engine/95.0/AI/Skirmish/E323AI/3.25.0/libSkirmishAI.so(handleEvent+0x83) [0x7feee3956a23]
    [f=0019063] Error:   <5> /home/bara/.spring/engine/95.0/spring() [0xa9ef0a]
    [f=0019063] Error:   <6> /home/bara/.spring/engine/95.0/spring() [0xa97311]
    [f=0019063] Error:   <7> /home/bara/.spring/engine/95.0/spring() [0xaa2e1f]
    [f=0019063] Error:   <8> /home/bara/.spring/engine/95.0/spring() [0xa81384]
    [f=0019063] Error:   <9> /home/bara/.spring/engine/95.0/spring() [0x98228c]
    [f=0019063] Error:   <10> /home/bara/.spring/engine/95.0/spring() [0x99d58e]
    [f=0019063] Error:   <11> /home/bara/.spring/engine/95.0/spring() [0x9a5215]
    [f=0019063] Error:   <12> /home/bara/.spring/engine/95.0/spring() [0x9a6f91]
    [f=0019063] Error:   <13> /home/bara/.spring/engine/95.0/spring() [0x999345]
    [f=0019063] Error:   <14> /home/bara/.spring/engine/95.0/spring() [0x59419e]
    [f=0019063] Error:   <15> /home/bara/.spring/engine/95.0/spring() [0x67c39b]
    [f=0019063] Error:   <16> /home/bara/.spring/engine/95.0/spring() [0x59b031]
    [f=0019063] Error:   <17> /home/bara/.spring/engine/95.0/spring() [0xa0d772]
    [f=0019063] Error:   <18> /home/bara/.spring/engine/95.0/spring() [0xa13565]
    [f=0019063] Error:   <19> /home/bara/.spring/engine/95.0/spring() [0xa1b66a]
    [f=0019063] Error:   <20> /home/bara/.spring/engine/95.0/spring() [0x9f6ae3]
    [f=0019063] Error:   <21> /lib64/libc.so.6(__libc_start_main+0xf5) [0x7fef1d84cc15]
    [f=0019063] Error:   <22> /home/bara/.spring/engine/95.0/spring() [0x577079]
    [f=0019063] Red_UI_Framework>> last processed widget was "Red Tooltip"
    [f=0019063] Red_Drawing>> last processed widget was "Red Tooltip"
    [f=0019063] [CCollisionHandler] dis-/continuous tests: 0/2401393
    [f=0019063] [~CPathCache(12x8)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=3
    [f=0019063] [~CPathCache(12x8)] cacheHits=1487 hitPercentage=46% numHashColls=0 maxCacheSize=52
    [f=0019063] [~CPathCache(48x32)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=3
    [f=0019063] [~CPathCache(48x32)] cacheHits=1011 hitPercentage=25% numHashColls=0 maxCacheSize=96
    [f=0019063] Statistics for RectangleOptimizer: 0%
    [f=0019063] Statistics for RectangleOptimizer: 0%
    [f=0019063] Statistics for local connection:
    Received: 191999 bytes
    Sent: 316446 bytes
    
    [f=0019063] Writing demo: demos/20131111_231727_DarkSide Remake_95.sdf
    Fatal: Spring crashed
    Spring has crashed:
    Segmentation fault (SIGSEGV).
    
    A stacktrace has been written to:
      /home/bara/.spring/engine/95.0/infolog.txt
    
    txt file icon infolog.txt (31,648 bytes) 2013-11-12 04:10 +
  • ? file icon 20131111_231727_DarkSide Remake_95.sdf (412,912 bytes) 2013-11-12 04:11

-Relationships
+Relationships

-Notes

~0015553

abma (administrator)

crash should be fixed
+Notes

-Issue History
Date Modified Username Field Change
2013-11-12 04:10 baracoder New Issue
2013-11-12 04:10 baracoder File Added: infolog.txt
2013-11-12 04:11 baracoder File Added: 20131111_231727_DarkSide Remake_95.sdf
2016-01-22 03:23 abma Note Added: 0015553
2016-01-22 03:23 abma Status new => resolved
2016-01-22 03:23 abma Resolution open => fixed
2016-01-22 03:23 abma Assigned To => abma
+Issue History